/***********************************************

* AnyLink Vertical Menu- © Dynamic Drive (www.dynamicdrive.com)

* This notice MUST stay intact for legal use

* Visit http://www.dynamicdrive.com/ for full source code

***********************************************/









//Contents for menu 1

var menu1=new Array()

menu1[0]='<a href="#" >Admin Management</a>'

menu1[1]='<a href="#" >Category Management</a>'

menu1[2]='<a href="#" >Product Management</a>'

menu1[3]='<a href="#">User Management</a>'

menu1[4]='<a href="#" >News Management</a>'

menu1[5]='<a href="#" >Ads and Blogs</a>'

menu1[6]='<a href="#" >Site Statistics</a>'

menu1[7]='<a href="#" >Site Management</a>'



//Contents for menu 2, and so on

var menu2=new Array()

menu2[0]='<a href="adminpass.php">Admin Password</a>'

menu2[1]='<a href="subadmin.php">Make Sub Admin</a>'

menu2[2]='<a href="adminpass.php">View Sub Admin</a>'

menu2[3]='<a href="bid_package.php">BidBoxes</a>'

menu2[4]='<a href="bid_offer.php">Give Bids to Users</a>'





//Contents for menu 3, and so on

var menu3=new Array()

menu3[0]='<a href="addcategory.php">Manage Categories</a>'

menu3[1]='<a href="showcategory.php">Show Category Structure</a>'





//Contents for menu 4, and so on

var menu4=new Array()

menu4[0]='<a href="product_list.php">Manage Products</a>'

menu4[1]='<a href="product_new.php?featured=1">Add Featured Product</a>'

menu4[2]='<a href="auction_increment.php">Auction Price Time Increment</a>'

menu4[3]='<a href="charity.php">Manage Charity Image</a>'





//Contents for menu 5, and so on

var menu5=new Array()

menu5[0]='<a href="user_list.php">Manage Users</a>'

menu5[1]='<a href="bid_butler.php">Manage Bid Butlers</a>'

menu5[2]='<a href="order_auction.php">Manage Orders</a>'

menu5[3]='<a href="won_auctions.php">Manage Won Auctions</a>'

menu5[4]='<a href="show_mail.php">Admin Mail Contents</a>'

menu5[5]='<a href="refer_friend.php">Manage Refer Friends</a>'









//Contents for menu 5, and so on

var menu6=new Array()

menu6[0]='<a href="newsletter_list.php">Manage Newsletters</a>'

menu6[1]='<a href="product_news.php">Manage Product News</a>'

menu6[2]='<a href="shownews.php">Manage Site News</a>'

menu6[3]='<a href="massmailing.php">Mass Mailing</a>'

menu6[4]='<a href="winner_interviews.php">Winner Interviews</a>'



//Contents for menu 6, and so on

var menu7=new Array()

menu7[0]='<a href="list_hotspot.php">View Hot Spots</a>'

menu7[1]='<a href="show_ideas.php">Show Ideas</a>'







//Contents for menu 7, and so on

var menu8=new Array()

menu8[0]='<a href="availability_chart.php">General Stats</a>'

menu8[1]='<a href="add_voucher.php">Vouchers</a>'

menu8[2]='<a href="won_auctions.php">Manage Won Auctions</a>'

menu8[3]='<a href="inviteuser.php">Invite User</a>'









//Contents for menu 8, and so on

var menu9=new Array()

menu9[0]='<a href="aboutus.php">AboutUs</a>'

menu9[1]='<a href="contactus.php">Contact</a>'

menu9[2]='<a href="terms.php">Terms & Condition</a>'

menu9[3]='<a href="privacy.php">Privacy</a>'

menu9[4]='<a href="jobs.php">Jobs</a>'

menu9[5]='<a href="faq.php">FAQ</a>'

menu9[6]='<a href="press_media.php">Press/Media</a>'

menu9[7]='<a href="resp_accept.php">Responsible/Acceptable Use</a>'







var disappeardelay=250 //menu disappear speed onMouseout (in miliseconds)

var horizontaloffset=2 //horizontal offset of menu from default location. (0-5 is a good value)



/////No further editting needed



var ie4=document.all

var ns6=document.getElementById&&!document.all



if (ie4||ns6)

document.write('<div id="dropmenudiv" style="visibility:hidden;width: 160px; margin-left: 10px" onMouseover="clearhidemenu()" onMouseout="dynamichide(event)"></div>')



function getposOffset(what, offsettype){

var totaloffset=(offsettype=="left")? what.offsetLeft : what.offsetTop;

var parentEl=what.offsetParent;

while (parentEl!=null){

totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;

parentEl=parentEl.offsetParent;

}

return totaloffset;

}





function showhide(obj, e, visible, hidden, menuwidth){

if (ie4||ns6)

dropmenuobj.style.left=dropmenuobj.style.top=-500

dropmenuobj.widthobj=dropmenuobj.style

dropmenuobj.widthobj.width=menuwidth

if (e.type=="click" && obj.visibility==hidden || e.type=="mouseover")

obj.visibility=visible

else if (e.type=="click")

obj.visibility=hidden

}



function iecompattest(){

return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body

}



function clearbrowseredge(obj, whichedge){

var edgeoffset=0

if (whichedge=="rightedge"){

var windowedge=ie4 && !window.opera? iecompattest().scrollLeft+iecompattest().clientWidth-15 : window.pageXOffset+window.innerWidth-15

dropmenuobj.contentmeasure=dropmenuobj.offsetWidth

if (windowedge-dropmenuobj.x-obj.offsetWidth < dropmenuobj.contentmeasure)

edgeoffset=dropmenuobj.contentmeasure+obj.offsetWidth

}

else{

var topedge=ie4 && !window.opera? iecompattest().scrollTop : window.pageYOffset

var windowedge=ie4 && !window.opera? iecompattest().scrollTop+iecompattest().clientHeight-15 : window.pageYOffset+window.innerHeight-18

dropmenuobj.contentmeasure=dropmenuobj.offsetHeight

if (windowedge-dropmenuobj.y < dropmenuobj.contentmeasure){ //move menu up?

edgeoffset=dropmenuobj.contentmeasure-obj.offsetHeight

if ((dropmenuobj.y-topedge)<dropmenuobj.contentmeasure) //up no good either? (position at top of viewable window then)

edgeoffset=dropmenuobj.y

}

}

return edgeoffset

}



function populatemenu(what){

if (ie4||ns6)

dropmenuobj.innerHTML=what.join("")

}





function dropdownmenu(obj, e, menucontents, menuwidth){

if (window.event) event.cancelBubble=true

else if (e.stopPropagation) e.stopPropagation()

clearhidemenu()

dropmenuobj=document.getElementById? document.getElementById("dropmenudiv") : dropmenudiv

populatemenu(menucontents)



if (ie4||ns6){

showhide(dropmenuobj.style, e, "visible", "hidden", menuwidth)

dropmenuobj.x=getposOffset(obj, "left")

dropmenuobj.y=getposOffset(obj, "top")

dropmenuobj.style.left=dropmenuobj.x-clearbrowseredge(obj, "rightedge")+obj.offsetWidth+horizontaloffset+"px"

dropmenuobj.style.top=dropmenuobj.y-clearbrowseredge(obj, "bottomedge")+"px"

}



return clickreturnvalue()

}



function clickreturnvalue(){

if (ie4||ns6) return false

else return true

}



function contains_ns6(a, b) {

while (b.parentNode)

if ((b = b.parentNode) == a)

return true;

return false;

}



function dynamichide(e){

if (ie4&&!dropmenuobj.contains(e.toElement))

delayhidemenu()

else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget))

delayhidemenu()

}



function hidemenu(e){

if (typeof dropmenuobj!="undefined"){

if (ie4||ns6)

dropmenuobj.style.visibility="hidden"

}

}



function delayhidemenu(){

if (ie4||ns6)

delayhide=setTimeout("hidemenu()",disappeardelay)

}



function clearhidemenu(){

if (typeof delayhide!="undefined")

clearTimeout(delayhide)

}